<template>
    <div class="record-style">
        <el-popover placement="right" title="删除记录" width="200" trigger="hover" @show="openDialog()" style="max-height: 65vh"
            popper-class="my-el-popover">
            <div class="mask-div" v-loading="reqLoading" element-loading-text="加载中..."
                element-loading-spinner="el-icon-loading" element-loading-background="rgba(255, 255, 255, 1)">
                <el-timeline :reverse="false">
                    <el-timeline-item size="large" :timestamp="deleteInfo.operateTime" icon="el-icon-circle-close"
                        color="#F56C6C">
                        {{ deleteInfo.operateUser }}
                    </el-timeline-item>
                </el-timeline>
            </div>
            <el-link slot="reference" type="primary" :underline="false" class="history-btn">
                查看删除记录</el-link>
        </el-popover>
    </div>
</template>

<script>
import req from '@/request.js'
const portal = window.context.portal
export default {
    name: 'DeletePopover',
    props: {
        id: {
            type: String,
            default: ''
        }
    },
    data() {
        return {
            dialogVisible: false,
            reqLoading: false,
            reverse: true,
            deleteInfo: {}
        }
    },
    methods: {
        openDialog() {
            this.dialogVisible = true
            this.reqLoading = true
            this.getOperationLog(this.id)
        },
        getOperationLog(id) {
            req
                .post(portal + `/biz/bizReformPilotManagement/v1/operateDeleteById/${id}`)
                .then(res => {
                    if (res.status == 200) {
                        this.deleteInfo = res.data
                    }
                    this.reqLoading = false
                })
        },
        closeDialog() {
            this.dialogVisible = false
        },
    },
}
</script>

<style lang="scss" scoped>
.record-style {
    /deep/.el-dialog {
        margin-left: 75% !important;
        width: 25% !important;
    }

    /deep/.el-dialog__wrapper {
        z-index: -1 !important;
        background-color: rgba(0, 0, 0, 0);
    }

    .history-btn {
        height: 2.5vw;
        position: absolute;
        right: 140px;
        top: 0;
    }

    .mask {
        width: 50px;
        max-height: 69vh;
        background-color: aqua;
        position: absolute;
        top: 0;
        z-index: 99999;
    }

    /deep/.el-dialog {
        box-sizing: content-box !important;
    }
}

/deep/.el-dialog__body {
    height: 65vh;
}

.mask-div {
    height: 100%;

    /deep/.el-loading-mask {
        margin: 0 -1.04167vw;
    }

    /deep/ .el-timeline-item__node--large {
        width: 16px;
        height: 16px;
        color: #F56C6C;
    }
}
</style>
